{% extends "homepage/base.html" %}
{% load crispy_forms_tags i18n breadcrumbs %}


{% block page_title %}
  {% if homepage.pk %}
    <span id="homepage-{{ homepage.pk }}-title">{% translate 'Edit homepage' %}: {{ homepage }}</span>
  {% else %}
    <span id="homepage-new-title">{% translate 'Add homepage' %}</span>
  {% endif %}
{% endblock %}

{% block breadcrumbs %}
  {{ block.super }}
  {% if homepage.pk %}
    {% breadcrumb "Edit homepage" "homepage:update" pk=homepage.pk %}
  {% else %}
    {% breadcrumb "Add homepage" "homepage:add" %}
  {% endif %}
{% endblock %}

{% block content %}
  <div class="card mb-3 homepage-{{ homepage.pk|default:"new" }}">
    <div class="card-header">
      <h3 class='d-flex justify-content-between'>
        <span>{% translate 'Master data' %}</span>
      </h3>
    </div>

    <!-- master data -->
    <div class="card-body">
      <form id='homepage-{{ homepage.pk|default:"new" }}-master_data-form' action="." method="post">
        {% crispy form %}
        {{ form|as_crispy_errors }}
      </form>
    </div>
  </div>

  {% if homepage.pk %}
    <!-- block list -->
    <div id="block-list"
         hx-trigger="load,medux:homepage:block-added from:body, medux:homepage:block-deleted from:body"
         hx-get="{% url 'homepage:block-list' homepage.pk %}"
         hx-disinherit="*">
{#      {% include 'homepage/block_list.html' with object_list=homepage.blocks.all %}#}
    </div>
  {% endif %}
{% endblock %}


{#    {% load i18n %}#}
{#    <div class="card">#}
{#      <div class="card-header card-header-light">#}
{#        <div>#}
{#          <div class="row align-items-center">#}
{#            <div class="col-auto">#}
{#              <span class="avatar" style="background-image: url({{ tenant.picture }})"></span>#}
{#            </div>#}
{#            <div class="col">#}
{#              <div class="card-title">{{ tenant }}</div>#}
{#              <div class="card-subtitle text-black-50">{{ tenant.uuid }}</div>#}
{#            </div>#}
{#          </div>#}
{#        </div>#}
{#        <div class="card-actions btn-actions">#}
{#  <div class="dropdown"> #}
{#    <a href="#" class="btn-action dropdown-toggle" data-bs-toggle="dropdown" #}
{#        aria-haspopup="true" aria-expanded="false"> #}
{#        <i class="bi bi-three-dots-vertical"></i> #}
{#    </a> #}
{#    <div class="dropdown-menu dropdown-menu-end"> #}
{#      <a class="dropdown-item" href="#">Edit user</a> #}
{#      <a class="dropdown-item" href="#">Change permissions</a> #}
{#      <a class="dropdown-item text-danger" href="#">Delete user</a> #}
{#    </div> #}
{#  </div> #}
{#          <button type='button' class="btn-action" @click='edit=true'>#}
{#            <i class="bi bi-pencil"></i>#}
{#          </button>#}
{#        </div>#}
{#      </div>#}
{#      <div class="card-body">#}
{#        <div class='row'>#}
{#            <div class='col'>#}
{#                <div class="mb-3">#}
{#                  <label class="form-label">{% translate 'Address' %}</label>#}
{#                  <input type="text" class="form-control" name="address" x-model='address'>#}
{#                </div>#}
{#                <div class="mb-3">#}
{#                  <label class="form-label">{% translate 'Phone' %}</label>#}
{#                  <input type="text" class="form-control" name="phone" x-model='phone'>#}
{#                </div>#}
{#                <div class="mb-3">#}
{#                  <label class="form-label">{% translate 'Email' %}</label>#}
{#                  <input type="text" class="form-control" name="email" x-model='email'>#}
{#                </div>#}
{#            </div>#}
{#        </div>#}
{#      </div>#}
{#    </div>#}
